/// Josh's 3D Math Library
/// A C++20 Library for 3D Math, Computer Graphics, and Scientific Computing.
/// Developed and Maintained by Josh O'Leary @ Redacted Software.
/// Special Thanks to William Tomasine II and Maxine Hayes.
/// (c) 2024 Redacted Software
/// This work is dedicated to the public domain.

/// @file SparseMatrix.hpp
/// @desc Templated Matrix type in which most elements are expected to be zero, and thus are "compressed"
/// @edit 2024-07-06

#include <cstdlib>

namespace J3ML::LinearAlgebra
{
    template <uint Rows, uint Cols>
    class SparseMatrix
    {

    };

}